# Instance sizings.
# http://aws.amazon.com/ec2/pricing/
INSTANCE_SIZES = {
    't1.micro': {
        'cost': 0.02
    },
    'm1.small': {
        'cost': 0.044
    },
    'm1.medium': {
        'cost': 0.087
    },
    'm1.large': {
        'cost': 0.175
    },
    'm1.xlarge': {
        'cost': 0.35
    },
    'm2.xlarge': {
        'cost': 0.245
    },
    'm2.2xlarge': {
        'cost': 0.49
    },
    'm2.4xlarge': {
        'cost': 0.98
    },
    'c1.medium': {
        'cost': 0.13
    },
    'c1.xlarge': {
        'cost': 0.52
    }
}


def valid_size(size):
    if size in INSTANCE_SIZES.keys():
        return size
    else:
        raise TypeError("%s is not a valid size" % size)

